.TH DMD5620 1
.SH NAME
dmd5620 \- AT&T DMD 5620 Terminal Emulator
.SH SYNOPSIS
.B dmd5620
[\fB\--help\fR]
[\fB\--version\fR]
[\fB\--shell\fR \fISHELL\fR|\fB\--device\fR \fIDEVICE\fR]
[\fB\--nvram\fR \fIFILE\fR]
[\fB\--firmware\fR \fI"VERSION"\fR]
.SH DESCRIPTION
.B dmd5620
AT&T DMD 5620 Terminal emulator with support for XT layers protocol.
.SH OPTIONS
.TP
.BR \-h ", " \-\-help
Displays help and exits.
.TP
.BR \-v ", " \-\-version
Displays version and exits.
.TP
.BR \-s ", " \-\-shell " " \fISHELL\fR
Execute the program \fISHELL\fR, e.g. "/bin/sh".
.TP
.BR \-d ", " \-\-device " " \fIDEVICE\fR
Connect to physical device \fIDEVICE\fR, e.g. "/dev/ttyS0" or
"/dev/pts/1".
.TP
.BR \-n ", " \-\-nvram  " " \fIFILE\fR
Store NVRAM state in file \fIFILE\fR. No default.
.TP
.BR \-f ", " \-\-firmware " " \fI"VERSION"\fR
Select firmare version. \fI"VERSION"\fR is a string, and must
be one of either \fB"8;7;3"\fR or \fB"8;7;5"\fR. The default version
if not specified is \fB"8;7;5"\fR.
.SH KEYMAP
.TP
.BR F1\-F8
Terminal F1 through F8 keys
.TP
.BR F9
Terminal SETUP key
.TP
.BR SHIFT\+F9
Terminal RESET key
.TP
.SH CONNECTING TO VIRTUAL SERIAL PORTS
The \fB\-\-device\fR option can be used with \fBsocat\fR to set up a
virtual serial port to a SIMH instance. For example:
.P
.EX
$ socat -d -d pty,raw,echo=0 TCP:192.168.0.100:8888
.EE
.P
This command on Linux will open a virtual serial port connected to
\fB192.168.80.100\fR on port \fB8888\fR. The port device will be
something like \fB/dev/pts/1\fR, and the \fB\-\-device\fR flag can
then be used to connect to this virtual serial port.
.SH USING SVR3 LAYERS
One of the primary featuers of dmd5620 is support for the System V Release 3
\fIlayers\fR program. Real DMD5620 terminals were hard-wired directly
to hosts using serial ports, and have no notion of networks.
.PP
In order to use dmd5620 with a networked System V Release 3 over a network,
either using \fItelnet\fR or \fIssh\fR, you must enable "encoding" on the
terminal.
.PP
To enable encoding, first press F9 (the \fISETUP\fR key) and then select "Host
Options", either with the mouse or by pressing F2. Next, select toggle
"Encoding Off" to "Encoding On" either with the mouse or by pressing F3.
.PP
"Encoding" will ensure that telnet and SSH control characters are properly
escaped.
.SH SAVING NVRAM
All terminal settings are forgotten on shutdown. To save terminal
settings, the contents of NVRAM must be stored in a file using 
the \fB\-\-nvram\fR flag.
.PP
\fINote that the NVRAM format is different between firmware versions!\fR
Using the same NVRAM file on an \fB8;7;5\fR firmware terminal 
and an \fB8;7;3\fR firwmare terminal is NOT SUPPORTED and will result
in undesirable behavior!
.SH KNOWN ISSUES
.IP \(bu 3
System V Release 3 \fIlayers\fR does not work when using Telnet to connect to a
real or simulated 3B2 using AT&T/WINS TCP/IP. This can be worked around by
connecting to a simulated serial port (e.g. Console, Contty, or PORTS)
listening for Telnet connections.
.IP \(bu 3
Timing is not fully accurate, and can lead to dropped XT packets when
using \fIlayers\fR on a simulated PORTS serial port.
.RE
